Log in or register to post comments

Dependencies could not be loaded.

April 2, 2020 - 7:47am #15

Good day.

Created new project, use sacript from Downloads to add vuforia 9 and create ARCamera.

When i try to play, error appears:

Plugins: Failed to load 'E:/Docs/stud/Po;ina/New Unity Project (2)/Library/PackageCache/com.ptc.vuforia.engine@9.0.12/Vuforia/Plugins/Win64/VuforiaWrapper.dll' because one or more of its dependencies could not be loaded.

Vuforia.VuforiaRuntimeUtilities:IsWebCamUsed()

Vuforia.VuforiaRuntimeUtilities:IsVuforiaEnabled()

Vuforia.VuforiaWrapper:CreateRuntimeInstance()

Vuforia.VuforiaWrapper:get_Instance()

Vuforia.PlayModeUnityPlayer:InitializePlatform()

Vuforia.VuforiaRuntime:InitPlatform(IUnityPlayer)

Vuforia.PlatformRuntimeInitialization:InitPlatform()

 

What can i do with it?

Dependencies could not be loaded.

April 3, 2020 - 5:48am #14

So, i tried different versions of Unity (2019.2 and 2019.3), different versions of Vuforia (8.6.10 and 9.0.12) and it always the same.

2 errors about Plugins: Failed to load

Screenshot attached.

Platform: Win 10

What am i missing?

AttachmentSize
Image icon errors.png119.34 KB

Dependencies could not be loaded.

April 4, 2020 - 12:28am #13

Solved.

Problem was in ";" in path to project.

Dependencies could not be loaded.

November 23, 2020 - 3:27am #12

i have got same error Plugins: Failed to load 'D:/com.ptc.vuforia.engine-9.5.4/package/Vuforia/Plugins/Win64/FileDriver.dll' because one or more of its dependencies could not be loaded.

which path are you talking about?

Can you help me out in solving it.

Dependencies could not be loaded.

December 6, 2020 - 10:51am #11

Did you solve it? How? I have the same problem

Dependencies could not be loaded.

December 29, 2020 - 5:41am #10

I am also facing same issue and not having any ; symbol in my project path.

Dependencies could not be loaded.

March 28, 2021 - 7:33am #9

Is it fixed? I'm also facing the same issue for Win10, Unity 2020.3 version. Can anybody share a working 'Filedriver.dll' file so I can try.

I've uploaded the error ss and the manifest file in the Filedriver.dll

 

Regards.

AttachmentSize
Image icon Manifest.JPG100.06 KB
Image icon Error.JPG48.6 KB

Dependencies could not be loaded.

March 29, 2021 - 12:36am #8

Hi @ santosusan,

DId you upgrade to a newer version?

Please feel free to download the version from here: https://git-repo.developer.vuforia.com/ and import it manually.

Steps are described here:https://library.vuforia.com/articles/Solution/vuforia-engine-package-hosting-for-unity.html

Thank you.

Vuforia Engine Support

 

Dependencies could not be loaded.

April 8, 2021 - 6:29pm #7

To anyone who still encounters with this problem, maybe check if you have python installed already.

I checked the prerequisites on this link https://library.vuforia.com/articles/Solution/file-driver.htmlhttps://library.vuforia.com/articles/Solution/file-driver.htmlhttps://library.vuforia.com/articles/Solution/file-driver.html. The errors solved after I installed python.

Dependencies could not be loaded.

June 9, 2021 - 11:34pm #6

still facing the same problem in Vuforia 9.8.8 with Unity 2019.4.8

Dependencies could not be loaded.

July 21, 2021 - 10:05am #5

Ok yes! Having same exact issue on Unity 2021.1.7f! Have tried downloading the Vuforia SDK in all the ways possible (through git url, manually and ALSO with unity script) Windows 10. Some help would be majorly appreciated. 

 

Error message: Downloads/VuforiaPackage/Vuforia/Plugins/Win64/FileDriver.dll' because one or more of its dependencies could not be loaded.

Dependencies could not be loaded.

July 22, 2021 - 4:35am #4

Hi,

if you have an windows system (according to the message it seems to be a windows machine) - could you check,please, if git is installed on your machine.

please refer to https://git-scm.com/downloads

BR

Vuforia Engine Support

Dependencies could not be loaded.

July 26, 2021 - 7:27am #3

I also have the exact same issue on Unity 2021.1.0f1. The error message is:

Failed to load /Library/PackageCache/com.ptc.vuforia.engine@efa13d4486/Vuforia/Plugins/Win64/FileDriver.dll' because one or more of its dependencies could not be loaded.

I have git installed and also get the error with all the different ways to add Vuforia Engine to Unity.

Dependencies could not be loaded.

July 26, 2021 - 8:12am #2

Hi,

there are 2 points:

1.) the one link mentioned in one of the posts was incorrect - here the correct link https://library.vuforia.com/articles/Solution/file-driver.html

2.) the last 2 posts mentioned installation issue for Vuforia Engine in a new Unity project when we try to follow the articles below , right?

https://library.vuforia.com/articles/Training/getting-started-with-vuforia-in-unity.html#intro

https://library.vuforia.com/articles/Solution/vuforia-engine-package-hosting-for-unity.html

I tested it but it seems to work, no issue on windows 10 machine. If you use some VPN connection , then please check again when you disconnect or suspend the VPN connection.

Will check internal resources if there some know issues regarding the mentioned error message

BR

Vuforia Engine Support

Dependencies could not be loaded.

July 26, 2021 - 8:36am #1

Regarding 2.) - yes, I have followed the instructions from these articles. First tried them in an existing Unity project, then in a new one, the error occurs regardless.

And I also don't use any VPN connections. 

Log in or register to post comments